# ffs.h File Reference

`#include <ubixos/types.h>`
`#include <vfs/vfs.h>`
`#include <sys/device.h>`

Include dependency graph for ffs.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | ffs_read (fileDescriptor *, char *, uInt32, long)

## Function Documentation

int ffs_read | ( | fileDescriptor * | ,
|  | char * | ,
|  | uInt32 | ,
|  | long |  |
| ) |  |  |

Definition at line 11 of file ffs.c.

References fileDescriptorStruct::dmadat, fs::fs_maxfilesize, kprintf(), and dmadat::sbbuf.

Here is the call graph for this function: